Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Suchen / Ersetzen Leerzeilen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Suchen / Ersetzen Leerzeilen (752 / mal gelesen)
Musicus
Mitglied
Staatl. gepr. Techniker


Sehen Sie sich das Profil von Musicus an!   Senden Sie eine Private Message an Musicus  Schreiben Sie einen Gästebucheintrag für Musicus

Beiträge: 685
Registriert: 26.07.2005

AutoCAD 2021
Linear Building 18
Linear CAD Solutions 18
C.A.T.S.
Windows 10 64bit

erstellt am: 26. Nov. 2020 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,

wir haben hier ein kleines Problem mit Multiführungslinien bzw. mit Suchen / Ersetzen. Ich kann mir aber nicht vorstellen, dass wir die ersten sind, deshalb frage ich mal hier.

Es gibt in einer Zeichnung sehr viele Multiführungslinien mit folgendem Aufbau:
Hersteller
Einbau
DN XX

Dabei sind die Zeilen 1 und 2 inhaltlich immer gleich, in der dritten Zeile unterscheidet sich XX.

Jetzt soll in allen Multiführungslinien die zweite Zeile entfernt werden. Wir nehmen Suchen / Ersetzen.
Das Ergebnis:
Hersteller

DN XX

Wie bekommt man die Leerzeile weg? Ich habe schon versucht, nach Hersteller \PEinbau \PDN zu suchen, aber dann wird nix gefunden.
Auch Einbau Hersteller DN (also ohne \P) habe ich versucht, gleiches Ergebnis.

Hat jemand eine Idee, wie wir das lösen können?

Danke und Gruß
Musicus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StephanJP
Mitglied
CAD-Admin


Sehen Sie sich das Profil von StephanJP an!   Senden Sie eine Private Message an StephanJP  Schreiben Sie einen Gästebucheintrag für StephanJP

Beiträge: 829
Registriert: 09.11.2000

erstellt am: 26. Nov. 2020 13:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Musicus 10 Unities + Antwort hilfreich

Hallo Musicus,

setz hinter die zu ersetzende Zeile einen . (Punkt), dann ersetzt er das nicht numerische Zeichen des Zeilenumbruchs.

------------------

gruß
Stephan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1111
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 26. Nov. 2020 13:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Musicus 10 Unities + Antwort hilfreich

Hallo Musicus,

probier mal das hier (quick and dirty): (Start mit llz)

Code:

(defun c:llz()
  (princ "Elemente wählen")
  (setq tl (ssget '((0 . "MULTILEADER"))))
  (setq anz (sslength tl))
  (setq x 0)
  (while (< x anz)
    (setq ct (ssname tl x))
    (setq ctl (entget ct))
    (setq neutext (vl-string-subst (chr 10) "\\P\\P" (cdr (assoc 304 ctl)) ) )
;  Leerzeilen raus
    (setq ctl (subst (cons 304 neutext) (assoc 304 ctl) ctl))
    (entmod ctl)
    (entupd ct)
    (setq x (1+ x))
  ) 
)

HTH
Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Musicus
Mitglied
Staatl. gepr. Techniker


Sehen Sie sich das Profil von Musicus an!   Senden Sie eine Private Message an Musicus  Schreiben Sie einen Gästebucheintrag für Musicus

Beiträge: 685
Registriert: 26.07.2005

AutoCAD 2021
Linear Building 18
Linear CAD Solutions 18
C.A.T.S.
Windows 10 64bit

erstellt am: 26. Nov. 2020 16:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank, funktioniert beides.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADdog
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADdog an!   Senden Sie eine Private Message an CADdog  Schreiben Sie einen Gästebucheintrag für CADdog

Beiträge: 2237
Registriert: 30.04.2004

Intel Xeon 3,6 GHz
32 GB RAM
NVIDIA Quadro P2000
Windows 10 Enterprise
AutoCADmap 3D 2023
WS-Landcad 2023
QGIS 3.10

erstellt am: 27. Nov. 2020 07:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Musicus 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von StephanJP:
setz hinter die zu ersetzende Zeile einen . (Punkt)

Wie kommt man nur auf sowas ?
Sehr schöne Lösung, bisher war ich der Meinung man kommt an die Formatierungen des MTEXT nicht so einfach ran.
Funktioniert bei mir aber nur, wenn in den Suchoptionen der Punkt "Platzhalter" aktiviert ist

------------------

Gruß Thomas
CADdog the dog formerly known as TR

AutoCAD spricht mit einem, aber viele hören nicht zu.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz